Subject: draft-chown-v6ops-port-scanning-implications-02

From: Tim Chown <[email-masked]>
Date: Fri, 28 Oct 2005 10:05:26 +0100

Hi,

This draft has been resurrected since it is cited by Elwyn in two other (WG)
drafts.   It would be useful to have a slot in Vancouver to discuss whether
it should be progressed or the key point absorbed into both of the drafts
currently citing it.

> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> 	Title		: IPv6 Implications for TCP/UDP Port Scanning
> 	Author(s)	: T. Chown
> 	Filename	: draft-chown-v6ops-port-scanning-implications-02.txt
> 	Pages		: 9
> 	Date		: 2005-10-27
> 	
> The 128 bits of IPv6 address space is considerably bigger than the 32
>    bits of address space in IPv4.  In particular, the IPv6 subnets to
>    which hosts attach will by default have 64 bits of host address
>    space.  As a result, traditional methods of remote TCP or UDP port
>    scanning to discover open or running services on a host will
>    potentially become far less computationally feasible, due to the
>    larger search space in the subnet.  This document discusses that
>    property of IPv6 subnets, and describes related issues for site
>    administrators of IPv6 networks to consider, which may be of
>    importance when planning site address allocation and management
>    strategies.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-chown-v6ops-port-scanning-implications-02.txt

-- 
Tim/::1

---

From: "Gunter Van de Velde (gvandeve)" <[email-masked]>
Date: Fri, 28 Oct 2005 11:21:27 +0200

Hi Tim,

I would prefer to see independent work on the port scanning implications 
document, as
there might be more future documents that may refer to this work.

The scope/vision of NAP is quite different from what the port-scanning 
draft wants to achieve
and i see it as being a great piece of reference work outside of NAP. The 
reference
is included in the *-nap-02.txt document already. Hence i would like to see 
port-scanning
become a separate piece of work for the WG.

<snip>
[18] Chown, T., "IPv6 Implications for TCP/UDP Port Scanning (chown- v6ops- 
port-scanning-implications-01.txt)", July 2004.
<end snip>

Groetjes,
G/

---

From: Pekka Savola <[email-masked]>
Date: Fri, 28 Oct 2005 19:20:38 +0300 (EEST)

> it should be progressed or the key point absorbed into both of the drafts

I also believe this is a very useful work item.

However, as it has been around for a long time, I believe that if we 
take it up, we'll need to make quick progress.

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings